<?php
class Pez extends Animal 
    {
		private $vive_en_el_mar; //type del pez
        
		//accesorios
		public function getType()
		{
            if ($this->vive_en_el_mar) {
				return "viven en el mar"; //devuelve el tipo 
			} 
			else if ($this->vive_en_el_mar === false) {
				return "no viven en el mar"; //devuelve el tipo
			}
			else {
				return ""; 
			}
		}
		public function setType($vive_en_el_mar)
		{
			$this->vive_en_el_mar = $vive_en_el_mar; //escribe en el atributo vive_en_el_mar
		}
		
		//método
        public function nadar()
		{
			echo "Yo nado <br />";
		}
	}
?>
